# cddabasesrc.h File Reference

`#include <glibmm.h>`
`#include <gst/cdda/gstcddabasesrc.h>`
`#include <gstreamermm/pushsrc.h>`

Go to the source code of this file.

## Classes

class | Gst::CddaBaseSrc
| Gst::CddaBaseSrc - Base class for CD digital audio (CDDA) sources. More...

## Namespaces

namespace | Gst
namespace | Glib

## Enumerations

enum | Gst::CddaBaseSrcMode { Gst::CDDA_BASE_SRC_MODE_NORMAL, Gst::CDDA_BASE_SRC_MODE_CONTINUOUS }